# Uses of Enum
com.fasterxml.jackson.core.JsonGenerator.Feature

Packages that use JsonGenerator.Feature
Package
Description
com.fasterxml.jackson.core
Main public API classes of the core streaming JSON processor: most importantly `JsonFactory` used for constructing JSON parser (`JsonParser`) and generator (`JsonGenerator`) instances.
com.fasterxml.jackson.core.base
Base classes used by concrete Parser and Generator implementations; contain functionality that is not specific to JSON or input abstraction (byte vs char).
com.fasterxml.jackson.core.json
JSON-specific parser and generator implementation classes that Jackson defines and uses.
com.fasterxml.jackson.core.util
Utility classes used by Jackson Core functionality.

## Uses of JsonGenerator.Feature in com.fasterxml.jackson.core

Methods in com.fasterxml.jackson.core that return JsonGenerator.Feature
Modifier and Type
Method
Description
`JsonGenerator.Feature`
StreamWriteFeature.`mappedFeature()`
`static JsonGenerator.Feature`
JsonGenerator.Feature.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static JsonGenerator.Feature[]`
JsonGenerator.Feature.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in com.fasterxml.jackson.core with parameters of type JsonGenerator.Feature
Modifier and Type
Method
Description
`protected void`
TSFBuilder.`_legacyDisable(JsonGenerator.Feature f)`
`protected void`
TSFBuilder.`_legacyEnable(JsonGenerator.Feature f)`
`final JsonFactory`
JsonFactory.`configure(JsonGenerator.Feature f, boolean state)`
Method for enabling or disabling specified generator feature (check `JsonGenerator.Feature` for list of features)
`final JsonGenerator`
JsonGenerator.`configure(JsonGenerator.Feature f, boolean state)`
Method for enabling or disabling specified feature: check `JsonGenerator.Feature` for list of available features.
`JsonFactory`
JsonFactory.`disable(JsonGenerator.Feature f)`
Method for disabling specified generator feature (check `JsonGenerator.Feature` for list of features)
`abstract JsonGenerator`
JsonGenerator.`disable(JsonGenerator.Feature f)`
Method for disabling specified feature (check `JsonGenerator.Feature` for list of features)
`JsonFactory`
JsonFactory.`enable(JsonGenerator.Feature f)`
Method for enabling specified generator features (check `JsonGenerator.Feature` for list of features)
`abstract JsonGenerator`
JsonGenerator.`enable(JsonGenerator.Feature f)`
Method for enabling specified generator feature: check `JsonGenerator.Feature` for list of available features.
`final boolean`
JsonFactory.`isEnabled(JsonGenerator.Feature f)`
Check whether specified generator feature is enabled.
`abstract boolean`
JsonGenerator.`isEnabled(JsonGenerator.Feature f)`
Method for checking whether given feature is enabled.
`abstract boolean`
TokenStreamFactory.`isEnabled(JsonGenerator.Feature f)`

## Uses of JsonGenerator.Feature in com.fasterxml.jackson.core.base

Methods in com.fasterxml.jackson.core.base with parameters of type JsonGenerator.Feature
Modifier and Type
Method
Description
`JsonGenerator`
GeneratorBase.`disable(JsonGenerator.Feature f)`
`JsonGenerator`
GeneratorBase.`enable(JsonGenerator.Feature f)`
`final boolean`
GeneratorBase.`isEnabled(JsonGenerator.Feature f)`

## Uses of JsonGenerator.Feature in com.fasterxml.jackson.core.json

Methods in com.fasterxml.jackson.core.json that return JsonGenerator.Feature
Modifier and Type
Method
Description
`JsonGenerator.Feature`
JsonWriteFeature.`mappedFeature()`
Methods in com.fasterxml.jackson.core.json with parameters of type JsonGenerator.Feature
Modifier and Type
Method
Description
`JsonGenerator`
JsonGeneratorImpl.`disable(JsonGenerator.Feature f)`
`JsonGenerator`
JsonGeneratorImpl.`enable(JsonGenerator.Feature f)`

## Uses of JsonGenerator.Feature in com.fasterxml.jackson.core.util

Methods in com.fasterxml.jackson.core.util with parameters of type JsonGenerator.Feature
Modifier and Type
Method
Description
`JsonGenerator`
JsonGeneratorDelegate.`disable(JsonGenerator.Feature f)`
`JsonGenerator`
JsonGeneratorDelegate.`enable(JsonGenerator.Feature f)`
`boolean`
JsonGeneratorDelegate.`isEnabled(JsonGenerator.Feature f)`